package com.trade.service.contract.dto;

import com.deepoove.poi.config.Configure;

import javax.validation.constraints.NotNull;
import java.util.Map;

public class ContractGenInputItem {

    @NotNull(message = "模板编码不能为空")
    private String templateCode;
    //@NotNull(message = "合同名称不能为空")
    private String contractName;
    private Map<String, Object> params;
    // 自定义配置
    private Configure config;

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getContractName() {
        return contractName;
    }

    public void setContractName(String contractName) {
        this.contractName = contractName;
    }

    public Map<String, Object> getParams() {
        return params;
    }

    public void setParams(Map<String, Object> params) {
        this.params = params;
    }

    public Configure getConfig() {
        return config;
    }

    public void setConfig(Configure config) {
        this.config = config;
    }
}
